Name:		qdigidoc
Version:	3.6.0.0
Release:	%mkrel 3
Summary:	Estonian digital signature application

Group:		Office/Utilities
License:	LGPLv2
URL:		http://id.eesti.ee
# svn export https://svn.eesti.ee/projektid/idkaart_public/branches/3.6/qdigidoc qdigidoc-3.6.0.0 && tar cjf qdigidoc-3.6.0.0.tar.bz2 qdigidoc-3.6.0.0
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-3.5.1-extensions.patch
Patch1:		qdigidoc-3.5.1-getuid.patch

BuildRequires:	cmake
BuildRequires:	libdigidocpp-devel
BuildRequires:	openldap-devel
BuildRequires:	qt4-devel
Requires:	opensc
Requires:	ccid
Requires:	pcsc-lite


%description
QDigiDoc is an application for digitally signing and encrypting documents in
BDoc, DDoc, and CDoc container formats. These file formats are widespread in
Estonia where they are used for storing legally binding digital signatures.


%package	nautilus
Summary:	Nautilus extension for %{name}
Group:		Graphical desktop/GNOME
Requires:	%{name} = %{version}-%{release}
Requires:	nautilus-python


%description	nautilus
The %{name}-nautilus package contains the %{name} extension for the
nautilus file manager.


%prep
%setup -q
%patch0 -p1 -b extensions
%patch1 -p1 -b getuid


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
# Fix linking
LDFLAGS="-Wl,--copy-dt-needed-entries"
export LDFLAGS
%{cmake} ../..
popd

%make -C %{_target_platform}/build


%install
%makeinstall_std -C %{_target_platform}/build

%find_lang nautilus-qdigidoc


%files
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/*.xml
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/kde4/services/*.desktop

%files nautilus -f nautilus-qdigidoc.lang
%{_datadir}/nautilus-python/extensions/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 3.6.0.0-3.mga3
+ Revision: 379803
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Office/Other -> Office/Utilities

* Mon Jan 07 2013 barjac <barjac> 3.6.0.0-2.mga3
+ Revision: 340414
- update group

* Mon Sep 17 2012 sander85 <sander85> 3.6.0.0-1.mga3
+ Revision: 295457
- New version: 3.6.0.0

* Sun Jul 22 2012 sander85 <sander85> 3.5.1-1.mga3
+ Revision: 273474
- new version: 3.5.1

* Sun Jan 08 2012 sander85 <sander85> 3.5.0-2.mga2
+ Revision: 193404
- rebuild for missing signature

* Sun Jan 08 2012 sander85 <sander85> 3.5.0-1.mga2
+ Revision: 193332
- new version: 3.5.0
- rebuild for new libp11

* Sat Apr 23 2011 sander85 <sander85> 3.4.0-1.mga1
+ Revision: 89945
- imported package qdigidoc

